{% import "macro/form.twig" as form %}
<style>
	a:visited {
		color: green;
	}
	.btn.btn-primary:visited {
		color: #fff;
	}
		i.fa.fa-times {
    position: absolute;
    right: 10px;
 font-size:20px;
    top: 10px;
    color:#999;
}
i.fa.fa-times:hover{
    color:#000;
}
</style>
<div class="container-fluid">
	<a href="/exam/add" class='btn btn-primary fr' visited="#ffffff">Add Question Paper</a>
	<h2>Examinations</h2>
	<hr>
	<div class="row">
		<div class="form-group col-md-12 form-group">
			<form method="post">
				<table class='table tbl-responsive'>
					<tr>
						<th>Course</th>
						<th>Title</th>
						<th>Type</th>
						<th>Attempts</th>
						<th colspan="5"></th>
					</tr>
					{% for exam in exams %}
						<tr class="width-th1">
							<th>
								{{subject[exam.subject]['name']}}
							</th>
							<td>
								{{exam.title}}
							</td>
							<td>
								{{exam.type}}
							</td>
							<td>{{exam.attempts}}</td>
							<td>
								<a href="/exam/permission/{{exam.subject}}/{{exam.title}}/{{exam.type}}">Permissions</a>
							</td>
							{# <td>
								<a href="javascript:void(0)" onclick='popup.instructions("{{exam.subject}}/{{exam.title}}/{{exam.type}}")'>Instructions</a>
							</td>
							<td>
								<a href="javascript:void(0)" onclick='popup.timeout("{{exam.subject}}/{{exam.title}}/{{exam.type}}")'>Timeout Message</a>
							</td> #}
							<td>
								{% if exam.type != 'subjective' %}
									<a href='/exam/answers/{{exam.subject}}/{{exam.title}}/{{exam.type}}'>Answers</a>
								{% else %}
									<a href='/exam/answers/{{exam.subject}}/{{exam.title}}/{{exam.type}}'>Answers</a>
								{% endif %}
							</td>
							{# <td>
								<a href="/exam/marking/{{exam.subject}}/{{exam.title}}/{{exam.type}}">Marking Scheme</a>
							</td> #}
							<td>
								<a href='/exam/delete/{{exam.subject}}/{{exam.title}}/{{exam.type}}' style='color:red'>Delete</a>
							</td>
						</tr>
					{% endfor %}
				</table>
			</form>
		</div>
	</div>
</div>

<div class="popup" frm='popupfrm'>
<i onclick=popup.close() class='fa fa-times'></i>
	<h3 data=heading></h3>
	<form id="upload" method="POST"  enctype="multipart/form-data">
		<fieldset>
			{{form.hidden("name","")}}
			{{form.hidden("subject",qpinfo[2])}}
			{{form.hidden("type",qpinfo[3])}}
			{{form.hidden("title",qpinfo[4])}}

			<div class="page-upload" id="filedrag">
				<legand class="h3"></legand>
				<div>
					<label></label>
					<div id="progress"></div>
					<input style="margin-top:-20px" type="file" id="fileselect" name="file"/>
				</div>
			</div>
			{{form.hidden("action","")}}
			{# <button type="submit" class='button btn btn-primary fr'>Upload</button> #}
<div id="messages" style="display:none" ></div>

		</fieldset>

	</form>
</div>
<script src="/js/filedrag.js?{{version}}"></script>
<script>
instructions={
	open:function(e){
console.log(e);
var elm=document.querySelector("[frm=popupfrm]");
if(elm !=null) elm.style="display:block";
}
}
var popup={
	close:function(){
		document.querySelector("[frm=popupfrm]").style="";
	},
	instructions:function(e){
		var info=e.split("/");
		var elm=document.querySelector("[frm=popupfrm]");
		if(elm == null ){
			alert("This section is not working,  Please contact the adminstrator.");
		}else{
			elm.style="display:block";
			var flds={
				heading:elm.querySelector("[data=heading]"),
				name:elm.querySelector("[name=name]"),
				subject:elm.querySelector("[name=subject]"),
				type:elm.querySelector("[name=type]"),
				action:elm.querySelector("[name=action]")
			}
			flds.heading.innerHTML="Upload Instructions";
			flds.name.value=info[1];
			flds.subject.value=info[0];
			flds.type.value=info[2];
			flds.action.value="upload-instructions";
		}
	},
	timeout:function(e){
		var info=e.split("/");
		var elm=document.querySelector("[frm=popupfrm]");
		if(elm == null ){
			alert("This section is not working,  Please contact the adminstrator.");
		}else{
			elm.style="display:block";
			var flds={
				heading:elm.querySelector("[data=heading]"),
				name:elm.querySelector("[name=name]"),
				subject:elm.querySelector("[name=subject]"),
				type:elm.querySelector("[name=type]"),
				action:elm.querySelector("[name=action]")
			}
			flds.heading.innerHTML="Time out Message";
			flds.name.value=info[1];
			flds.subject.value=info[0];
			flds.type.value=info[2];
			flds.action.value="upload-timeout*";
		}	
	}
}
</script>